跳转到内容

通过直播间id获取直播回放文件

GET /app/shareLive/getShareLiveRoomRecordFileByRoomId

如果不通知使用获取中台推送消息失败的消息(订单发货)API时会一直可以获取到该订单的发货信息

字段 名称 类型 是否必须
share_live_room_id 直播间id int 是
{
"code": 0,
"data": [
{
"id": 1,
"created_at": 1689301937,
"updated_at": 1689301937,
"share_live_room_id": 28,
"stream_id": "28-supply",
"channel_id": "28-supply",
"file_id": "3270835010631526087",
"file_format": "hls",
"duration": 54,
"file_size": 11353697,
"video_url": "http://1251768088.vod2.myqcloud.com/0a2a9670vodcq1251768088/0f2cf0183270835010631526087/playlist_eof.m3u8"
},
{
"id": 2,
"created_at": 1689305908,
"updated_at": 1689305908,
"share_live_room_id": 28,
"stream_id": "28-supply",
"channel_id": "28-supply",
"file_id": "3270835010632865215",
"file_format": "hls",
"duration": 21,
"file_size": 1563975,
"video_url": "http://1251768088.vod2.myqcloud.com/0a2a9670vodcq1251768088/636e83f83270835010632865215/playlist_eof.m3u8"
},
{
"id": 3,
"created_at": 1689305908,
"updated_at": 1689305908,
"share_live_room_id": 28,
"stream_id": "28-supply",
"channel_id": "28-supply",
"file_id": "3270835010632865215",
"file_format": "hls",
"duration": 21,
"file_size": 1563975,
"video_url": "http://1251768088.vod2.myqcloud.com/0a2a9670vodcq1251768088/636e83f83270835010632865215/playlist_eof.m3u8"
},
{
"id": 4,
"created_at": 1689305908,
"updated_at": 1689305908,
"share_live_room_id": 28,
"stream_id": "28-supply",
"channel_id": "28-supply",
"file_id": "3270835010632865215",
"file_format": "hls",
"duration": 21,
"file_size": 1563975,
"video_url": "http://1251768088.vod2.myqcloud.com/0a2a9670vodcq1251768088/636e83f83270835010632865215/playlist_eof.m3u8"
},
{
"id": 5,
"created_at": 1689305908,
"updated_at": 1689305908,
"share_live_room_id": 28,
"stream_id": "28-supply",
"channel_id": "28-supply",
"file_id": "3270835010632865215",
"file_format": "hls",
"duration": 21,
"file_size": 1563975,
"video_url": "http://1251768088.vod2.myqcloud.com/0a2a9670vodcq1251768088/636e83f83270835010632865215/playlist_eof.m3u8"
},
{
"id": 6,
"created_at": 1689305919,
"updated_at": 1689305919,
"share_live_room_id": 28,
"stream_id": "28-supply",
"channel_id": "28-supply",
"file_id": "3270835010632865215",
"file_format": "hls",
"duration": 21,
"file_size": 1563975,
"video_url": "http://1251768088.vod2.myqcloud.com/0a2a9670vodcq1251768088/636e83f83270835010632865215/playlist_eof.m3u8"
}
],
"msg": "操作成功"
}